Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Photon update problem(Photon update refuses to complete)
Photon update problem [message #1797466] Wed, 31 October 2018 09:45 Go to next message
Tauno Voipio is currently offline Tauno VoipioFriend
Messages: 424
Registered: August 2014
Senior Member
After updating Eclipse Photon to 2018-09, the startup shows a screen for requirements update (attached: Req.png).

When accepting the update, Oomph shows an error (Fail.png).

Any pointers to correct the situation?
  • Attachment: Req.png
    (Size: 32.83KB, Downloaded 4 times)
  • Attachment: Fail.png
    (Size: 90.76KB, Downloaded 5 times)


--

Tauno Voipio
Re: Photon update problem [message #1797473 is a reply to message #1797466] Wed, 31 October 2018 12:02 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 29653
Registered: July 2009
Senior Member
Yes, unfortunately the Photon installation created with the Photon installer really wants to be a Photon installation so if you manually update it, it will complain that it's no longer Photon with this rather user-unfriendly overly-technical dialog. You could tell it to "Skip" and to "Remember my decision" to keep your manual updates as is. If you let it "perform" it will try to downgrade your installation back to Photon, which is unlikely to be what you want (and apparently fails in your case).

At EclipseCon I discussed this with other folks at the Planning Council and I think it will be better if the product catalog is generated so that the upper bounds are removed from the requirements such that this dialog will not appear when you manually update.
Re: Photon update problem [message #1797506 is a reply to message #1797473] Wed, 31 October 2018 20:42 Go to previous messageGo to next message
Tauno Voipio is currently offline Tauno VoipioFriend
Messages: 424
Registered: August 2014
Senior Member
Thanks.

If I jettison the installation after saving the selections to a p2f file, and installing the 2018-09 release with the installer, then reloading all plugins from the p2f file, will it then be happy?


--

Tauno Voipio
Re: Photon update problem [message #1797520 is a reply to message #1797506] Thu, 01 November 2018 06:33 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 29653
Registered: July 2009
Senior Member
Yes.

Though Oomph as bunch of useful features that would make this all easier to do automatically.

https://wiki.eclipse.org/Eclipse_Oomph_Authoring

For example you could use Navigate -> Open Setup -> Installation, then double click the Installation object to bring up the Properties view and edit the Product Version to choose a newer version of the same product you already installer. You might pick the 2018-09 version, or Latest Released version so that the installation will automatically update when there is a new release. After saving this, you can do Help -> Perform Setup Tasks to do your update (or to check for updates in general).

If there are things you always install, you can create a p2 task for that in your user.setup, using Navigate -> Open Setup -> User to do that. E.g., I have this in my user.setup so that I always install vi plugin when I create a new installation with the installer.
<?xml version="1.0" encoding="UTF-8"?>
<setup.p2:P2Task
    xmi:version="2.0"
    xmlns:xmi="http://www.omg.org/XMI"
    xmlns:setup.p2="http://www.eclipse.org/oomph/setup/p2/1.0"
    label="VI">
  <requirement
      name="com.mbartl.viplugin.eclipse.feature.group"
      optional="true"/>
  <repository
      url="http://viplugin.com"/>
</setup.p2:P2Task>


Of course Oomph can also automatically clone the projects on which you work, import them into your workspace, and organize them into working sets so that you never need to manually setup an IDE and can instead create a fresh new properly installed, properly configured installation and workspace easily and automatically.
Re: Photon update problem (SOLVED) [message #1797582 is a reply to message #1797520] Fri, 02 November 2018 10:02 Go to previous message
Tauno Voipio is currently offline Tauno VoipioFriend
Messages: 424
Registered: August 2014
Senior Member
Thank you!

The rebuild did it.


--

Tauno Voipio
Previous Topic:Protocol message specifications
Next Topic:STS plugin and WIN 10
Goto Forum:
  


Current Time: Thu Nov 15 17:34:21 GMT 2018

Powered by FUDForum. Page generated in 0.03352 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top